#!/bin/sh
echo "checking certified scripts"

while read line
do
  name=`echo $line | awk -F ' ' '{print $3}'`
# certify aiger
  msg="CORRECT"
  log=${name}_certify_aig.log
  err=${name}_certify_aig.err

  status=`awk '/status:/{print $NF}' $err`
  if [ "$status" != "ok" ]
  then
     echo "$err has status $status"
  fi

  string=`grep $msg $log`;
  if [ -z "$string" ]
  then
     echo "$log is not correct"
  fi
  
  msg="CHECKED"
  log=${name}_check_aig.log
  err=${name}_check_aig.err

  status=`awk '/status:/{print $NF}' $err`
  if [ "$status" != "ok" ]
  then
     echo "$err has status $status"
  fi

  string=`grep $msg $log`;
  if [ -z "$string" ]
  then
     echo "$log is not correct"
  fi
  
 echo "checked scripts of $name"
done < benchmarks
