#!/usr/bin/env python3
import sys
import random

wit_file_name = "btor128.wit"
wit_file= open(wit_file_name, "r")
wits = wit_file.read().split('\n')[:-1]

polys_file_name = "btor128.polys"
polys_file= open(polys_file_name, "r")
polys = polys_file.read().split('\n')[:-1]

seed_file_name = "seed"
seed_file= open(seed_file_name, "r")
seed_all = seed_file.read().split('\n')[:-1]


for item in seed_all:
  seed = int(item.split(' ')[1])

  c = list(zip(wits, polys))
  random.Random(seed).shuffle(c)
  wits, polys = zip(*c)

  with open("btor128_shuffle_seed_"+str(seed)+".wit", 'w') as f:
    for item in wits:
        f.write("%s\n" % item)

  with open("btor128_shuffle_seed_"+str(seed)+".polys", 'w') as f:
    for item in polys:
        f.write("%s\n" % item)
